import { FlowStep, Step } from '../interfaces';
interface FormProps {
    step: Step;
    stepIndex: FlowStep;
}
export declare function useFormInput<T>({ step, stepIndex }: FormProps): {
    form: import("react-hook-form").UseFormReturn<T, any>;
    setValue: import("react-hook-form").UseFormSetValue<T>;
};
export {};
